<app-header></app-header>
<br><br><br><br>
<div class="col-md-9">
	<table class="table table-list-search">
			   <thead>
				   <tr>
					   <th>Name</th>
					   <th>Patronus</th>
					   <th>Age</th>
					   <th>Images</th>
				   </tr>
			   </thead>
			   <tbody>
				   <tr *ngFor="let magos of estudiante">
					   <td>{{ magos.name }}</td>
					   <td> {{magos.patronus}} </td>
					   <td > {{2021 - magos.yearOfBirth}} </td>
					   <td>  <img src={{magos.image}} />  </td>
				   </tr>
			   </tbody>
		   </table>   
   </div>

<form [formGroup]="estudianteForm" (ngSubmit)="onLogin(estudianteForm.value)"  class="form-compact" >
    <div class="row paddingBottom20">
        <div class="container col-4">
            <div class="row">
                <h6 class="text-center col-12 mb-0">Contact Information</h6>
                <sub class="text-right text-muted col-12"><a href="#" tabindex="-1"><i class="far fa-edit"></i></a></sub>
            </div>
            <div class="dropdown-divider mb-3"></div>
            <div class="form-group row">
                <label for="firstName" class="col-4 col-form-label-sm text-right">Name:</label> 
                <div class="col-8">
                    <div class="input-group"> 
                        <input id="firstName" formControlName="name" type="text" class="form-control form-control-sm">
                    </div>
                </div>
            </div> 
            <div class="form-group row align-items-center">
                <label for="lastName" class="col-4 col-form-label-sm text-right">Patronus:</label> 
                <div class="col-8">
                  <div class="input-group"> 
                    <input id="lastName" formControlName="patronus" type="text" class="form-control form-control-sm">
                  </div>
                </div>
            </div>          
            <div class="form-group row align-items-center">
                <label for="emailAddress" class="col-4 col-form-label-sm text-right">Age:</label> 
                <div class="col-8">
                  <div class="input-group"> 
                    <input id="emailAddress" formControlName="age" type="number" class="form-control form-control-sm extendable">
                  </div>
                </div>
            </div>
            <div class="form-group row align-items-center">
                <label for="office" class="col-4 col-form-label-sm text-right">Url Image:</label> 
                <div class="col-8">
                  <div class="input-group">
                    <input id="office" formControlName="image" type="text" class="form-control form-control-sm">
                  </div>
                </div>
            </div>   
            <div class="form-group row align-items-center">
              <div class="col-8">
                <div class="input-group">
                  <input id="office" name="Image" type="submit" class="btn btn-success" value="Enviar">
                </div>
              </div>
          </div>          
        </div>
    </div>
</form>
<br><br><br><br><br><br>
<app-footer></app-footer>